### Method

# Ide BufferChangeMonitor foreach_change

#### Declaration

    void
    ide_buffer_change_monitor_foreach_change (
      IdeBufferChangeMonitor* self,
      guint line_begin,
      guint line_end,
      IdeBufferChangeMonitorForeachFunc callback,
      gpointer user_data
    )

#### Description

Calls `callback` for every line between `line_begin` and `line_end` that have an addition, deletion, or change.

Available since: | 3.32

#### Parameters

`line_begin` | `guint`
| The starting line.
`line_end` | `guint`
| The end line.
`callback` | `IdeBufferChangeMonitorForeachFunc`
| A callback.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.